Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class SavePersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractDynamicPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractSavePersistentMethod
                  org.codehaus.groovy.grails.orm.hibernate.metaclass.SavePersistentMethod

    public class SavePersistentMethod
    extends AbstractSavePersistentMethod

Follows the semantics of saveOrUpdate of scheduling the object for persistence when a flush occurs.

Authors:
  Steven Devijver
  Graeme Rocher

Since:
  0.1

Field Summary
`static java.util.regex.Pattern` | `METHOD_PATTERN`
`static java.lang.String` | `METHOD_SIGNATURE`

Fields inherited from class AbstractDynamicPersistentMethod
ERRORS_PROPERTY

Constructor Summary
`SavePersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application)`
`SavePersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application, GrailsDomainClass domainClass)`

Method Summary
`protected java.lang.Object` | `performInsert(java.lang.Object target, boolean shouldFlush)`
`protected java.lang.Object` | `performSave(java.lang.Object target, boolean flush)`

Methods inherited from class AbstractSavePersistentMethod
doInvokeInternal, handleValidationError, isAutoValidationDisabled, performInsert, performSave, setErrorsOnInstance

Methods inherited from class AbstractDynamicPersistentMethod
doInvokeInternal, getHibernateTemplate, invoke, setObjectToReadOnly, setObjectToReadWrite, setupErrorsProperty

Methods inherited from class AbstractDynamicMethodInvocation
getPattern, invoke, isMethodMatch, setPattern

Field Detail

### METHOD_PATTERN

    public static final java.util.regex.Pattern METHOD_PATTERN

### METHOD_SIGNATURE

    public static final java.lang.String METHOD_SIGNATURE

Constructor Detail

### SavePersistentMethod

    public SavePersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application)

### SavePersistentMethod

    public SavePersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application, GrailsDomainClass domainClass)

Method Detail

### performInsert

    @Override
    protected java.lang.Object performInsert(java.lang.Object target, boolean shouldFlush)

### performSave

    @Override
    protected java.lang.Object performSave(java.lang.Object target, boolean flush)

Groovy Documentation